VRPlatformVRPlatform
Bank records

/bank-records/{id}

Get a bank record

GET
/bank-records/{id}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string

Query Parameters

includeMatchingRules?boolean
includeMatchingTransactions?string

Include matching transactions, optionally with max days offset

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/bank-records/string"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "uniqueRef": "string",
  "date": "string",
  "status": "active",
  "description": "string",
  "bankAccountId": "string",
  "accountId": "string",
  "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
  "source": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "type": "string",
    "status": "active",
    "appId": "string",
    "appIcon": "string"
  },
  "type": "transaction",
  "amount": 0,
  "balance": {
    "current": 0,
    "correction": 0
  },
  "reconciliation": {
    "status": "unpaid",
    "transactions": [
      {
        "id": "string",
        "date": "string",
        "description": "string",
        "type": "string",
        "amount": 0
      }
    ]
  },
  "matchedByBankRule": true,
  "matchingTransactions": [
    {
      "id": "string",
      "status": "active",
      "amount": -9007199254740991,
      "account": {
        "id": "string",
        "name": "string",
        "uniqueRef": "string",
        "status": "active"
      },
      "date": "string",
      "description": "string",
      "currency": "string",
      "type": "deposit",
      "isOpeningBalance": true,
      "contact": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "firstName": "string",
        "uniqueRef": "string",
        "shortRef": "string"
      },
      "connection": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "status": "active",
        "uniqueRef": "string",
        "appId": "string"
      },
      "uniqueRef": "string",
      "shortRef": "string",
      "recurringTemplate": {
        "id": "string"
      },
      "dateOffset": 0
    }
  ],
  "matchingRules": [
    {
      "rule": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "priority": -9007199254740991,
        "transactionType": "deposit",
        "mode": "suggest",
        "status": "active"
      },
      "preview": {
        "matches": true,
        "isAutoApplicable": true,
        "bankRecord": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "date": "string",
          "description": "string",
          "amount": -9007199254740991,
          "bankAccountId": "5b26b598-a880-4e32-8c41-126aa0206857",
          "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9"
        },
        "transaction": {
          "description": "string",
          "status": "active",
          "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
          "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
          "uniqueRef": "string",
          "isOpeningBalance": true,
          "type": "deposit",
          "date": "string",
          "currency": "string",
          "lines": [
            {
              "recurringTemplateId": "string",
              "uniqueRef": "string",
              "description": "string",
              "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
              "assignment": "accountsPayable",
              "amount": -9007199254740991,
              "appliedAmount": {
                "taxRateId": "88399542-51a6-40f6-9447-2208069d3c34",
                "taxBehavior": "excluded"
              },
              "markup": {
                "amount": -9007199254740991,
                "taxRateId": "88399542-51a6-40f6-9447-2208069d3c34",
                "taxBehavior": "excluded"
              },
              "listingId": "8c73d933-f7ed-437e-9da1-caac95adc1ae",
              "reservationId": "string",
              "ownerStatementId": "string",
              "party": "owners",
              "contactId": "string",
              "matchReservationConfirmationCode": "string",
              "matchReservationStripeGuestRef": "string",
              "matchLineTypeClassification": "string"
            }
          ],
          "attachmentIds": [
            "497f6eca-6276-4993-bfeb-53cbbbba6f08"
          ],
          "payment": {
            "bankRecordIds": [
              "497f6eca-6276-4993-bfeb-53cbbbba6f08"
            ],
            "status": "unpaid",
            "date": "string",
            "lock": null
          },
          "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d",
          "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",
          "recurringTemplateId": "d73afa31-bf14-4baf-aede-be5f4b4ff489",
          "matchBankAccountLast4": "string"
        }
      }
    }
  ],
  "currency": "string"
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}